<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__smif__psoc6_8h" kind="file">
    <compoundname>cy_smif_psoc6.h</compoundname>
    <includes local="yes">stddef.h</includes>
    <includes local="yes">stdbool.h</includes>
    <includes local="yes" refid="flash__map__backend_8h">flash_map_backend/flash_map_backend.h</includes>
    <incdepgraph>
      <node id="28">
        <label>stdbool.h</label>
      </node>
      <node id="26">
        <label>cy_smif_psoc6.h</label>
        <link refid="cy_smif_psoc6.h" />
        <childnode refid="27" relation="include">
        </childnode>
        <childnode refid="28" relation="include">
        </childnode>
      </node>
      <node id="27">
        <label>stddef.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="typedef">
      <memberdef id="cy__smif__psoc6_8h_1a97ae9c9688da2790e5d5a8fa2751881e" kind="typedef" prot="public" static="no">
        <type>long int</type>
        <definition>typedef long int off_t</definition>
        <argsstring />
        <name>off_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/cy_smif_psoc6.h" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/cy_smif_psoc6.h" line="57" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__smif__psoc6_8h_1a63698512b17762d163a294552a6b5d07" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int psoc6_smif_read</definition>
        <argsstring>(const struct flash_area *fap, off_t addr, void *data, size_t len)</argsstring>
        <name>psoc6_smif_read</name>
        <param>
          <type>const struct <ref kindref="compound" refid="structflash__area">flash_area</ref> *</type>
          <declname>fap</declname>
        </param>
        <param>
          <type>off_t</type>
          <declname>addr</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>len</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/cy_smif_psoc6.h" line="60" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__smif__psoc6_8h_1a36f5163ddb55f209426be97212cdd90d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int psoc6_smif_write</definition>
        <argsstring>(const struct flash_area *fap, off_t addr, const void *data, size_t len)</argsstring>
        <name>psoc6_smif_write</name>
        <param>
          <type>const struct <ref kindref="compound" refid="structflash__area">flash_area</ref> *</type>
          <declname>fap</declname>
        </param>
        <param>
          <type>off_t</type>
          <declname>addr</declname>
        </param>
        <param>
          <type>const void *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>len</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/cy_smif_psoc6.h" line="61" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__smif__psoc6_8h_1a627f6d35a496d5bbb00e864f0c2b5477" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int psoc6_smif_erase</definition>
        <argsstring>(off_t addr, size_t size)</argsstring>
        <name>psoc6_smif_erase</name>
        <param>
          <type>off_t</type>
          <declname>addr</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/cy_smif_psoc6.h" line="62" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__smif__psoc6_8h_1a4cadbfbf83e342aeaa103aa7ab323b96" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int</type>
        <definition>int psoc6_qspi_init</definition>
        <argsstring>(void)</argsstring>
        <name>psoc6_qspi_init</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/cy_smif_psoc6.h" line="63" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__smif__psoc6_8h_1a070a82a4d055f435006e7f6daf983dca" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t psoc6_smif_get_prog_size</definition>
        <argsstring>(off_t addr)</argsstring>
        <name>psoc6_smif_get_prog_size</name>
        <param>
          <type>off_t</type>
          <declname>addr</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/cy_smif_psoc6.h" line="65" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This is the header file for PSoC6 SMIF driver adoption layer. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.0</para></simplesect>
<simplesect kind="copyright"><para /></simplesect>
© 2019, Cypress Semiconductor Corporation or a subsidiary of Cypress Semiconductor Corporation. All rights reserved.</para><para>This software, including source code, documentation and related materials ("Software"), is owned by Cypress Semiconductor Corporation or one of its subsidiaries ("Cypress") and is protected by and subject to worldwide patent protection (United States and foreign), United States copyright laws and international treaty provisions. Therefore, you may use this Software only as provided in the license agreement accompanying the software package from which you obtained this Software ("EULA").</para><para>If no EULA applies, Cypress hereby grants you a personal, non- exclusive, non-transferable license to copy, modify, and compile the Software source code solely for use in connection with Cypress?s integrated circuit products. Any reproduction, modification, translation, compilation, or representation of this Software except as specified above is prohibited without the express written permission of Cypress.</para><para>Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. Cypress reserves the right to make changes to the Software without notice. Cypress does not assume any liability arising out of the application or use of the Software or any product or circuit described in the Software. Cypress does not authorize its products for use in any products where a malfunction or failure of the Cypress product may reasonably be expected to result in significant property damage, injury or death ("High Risk Product"). By including Cypress's product in a High Risk Product, the manufacturer of such system or application assumes all risk of such use and in doing so agrees to indemnify Cypress against all liability. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="48"><highlight class="preprocessor">#ifndef<sp />CY_SMIF_PSOC6_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SMIF_PSOC6_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"stddef.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"stdbool.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"flash_map_backend/flash_map_backend.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />off_t</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">long</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />off_t;</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />psoc6_smif_read(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structflash__area">flash_area</ref><sp />*fap,<sp />off_t<sp />addr,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />len);</highlight></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />psoc6_smif_write(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structflash__area">flash_area</ref><sp />*fap,<sp />off_t<sp />addr,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />len);</highlight></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />psoc6_smif_erase(off_t<sp />addr,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />size);</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />psoc6_qspi_init(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal">uint32_t<sp />psoc6_smif_get_prog_size(off_t<sp />addr);</highlight></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_SMIF_PSOC6_H_<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/cy_smif_psoc6.h" />
  </compounddef>
</doxygen>